TikTok Shop

One SKU's GMV, items sold and orders over time, by channel

GET/api/public/v1/tik_tok_shop/analytics/skus/{skuId}/performance
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopSkuDetail

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/analytics/skus/<skuId>/performance?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
skuIdpathstringrequired
start_datequerystring (date)required
end_datequerystring (date)required
granularityquerystringOne of 1DALL Default 1D
currencyquerystringOne of USDLOCAL
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
intervalsarray of object
intervals[].[].endDatestring, nullable
intervals[].[].gmvobject, nullable
intervals[].[].gmv.amountstring, nullable
intervals[].[].gmv.currencystring, nullable
intervals[].[].gmvByChannelarray of object
intervals[].[].gmvByChannel[].[].amountstring, nullable
intervals[].[].gmvByChannel[].[].currencystring, nullable
intervals[].[].gmvByChannel[].[].typestring
intervals[].[].itemsSoldinteger, nullable
intervals[].[].itemsSoldByChannelarray of object
intervals[].[].itemsSoldByChannel[].[].countinteger, nullable
intervals[].[].itemsSoldByChannel[].[].typestring
intervals[].[].skuOrdersinteger, nullable
intervals[].[].startDatestring, nullable
latestAvailableDatestring, nullable
productIdstring, nullable
skuIdstring, nullable

Example

{
  "intervals": [
    {
      "endDate": "string",
      "gmv": {
        "amount": "string",
        "currency": "usd"
      },
      "gmvByChannel": [
        {
          "amount": "string",
          "currency": "usd",
          "type": "string"
        }
      ],
      "itemsSold": 3,
      "itemsSoldByChannel": [
        {
          "count": 3,
          "type": "string"
        }
      ],
      "skuOrders": 3,
      "startDate": "string"
    }
  ],
  "latestAvailableDate": "string",
  "productId": "string",
  "skuId": "string"
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.